Routing - Activate config
curl --request POST \
--url https://sandbox.birrpay.io/routing/{routing_algorithm_id}/activate \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.birrpay.io/routing/{routing_algorithm_id}/activate"
headers = {"api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.birrpay.io/routing/{routing_algorithm_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"profile_id": "<string>",
"name": "<string>",
"kind": "single",
"description": "<string>",
"created_at": 123,
"modified_at": 123,
"algorithm_for": "payment",
"decision_engine_routing_id": "<string>"
}Routing
Routing - Activate config
Activate a routing config
POST
/
routing
/
{routing_algorithm_id}
/
activate
Routing - Activate config
Authorizations
api_keyjwt_key
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The unique identifier for a config
Response
Routing config activated
Available options:
single, priority, volume_split, advanced, dynamic, three_ds_decision_rule Available options:
payment, payout, three_ds_authentication